Bug 1119514 - [abrt] pan: _M_dispose(): pan killed by SIGABRT
Summary: [abrt] pan: _M_dispose(): pan killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pan
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Dalloz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:28e4ac943f1ce5c2f67c7b28dd0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 00:11 UTC by Robin Laing
Modified: 2015-02-18 11:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:46:36 UTC


Attachments (Terms of Use)
File: backtrace (13.11 KB, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: cgroup (156 bytes, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: core_backtrace (22.75 KB, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: dso_list (8.24 KB, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: environ (3.25 KB, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: maps (48.69 KB, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: open_fds (1.22 KB, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: proc_pid_status (994 bytes, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details
File: var_log_messages (304 bytes, text/plain)
2014-07-15 00:11 UTC, Robin Laing
no flags Details

Description Robin Laing 2014-07-15 00:11:17 UTC
Description of problem:
Attempting to post a multipart file to usenet.  System crashed twice while attempting.  

Working through stunnel.

Version-Release number of selected component:
pan-0.139-4.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/pan
crash_function: _M_dispose
executable:     /usr/bin/pan
kernel:         3.14.8-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #5 _M_dispose at /usr/include/c++/4.8.0/bits/basic_string.h:249
 #6 ~basic_string at /usr/include/c++/4.8.0/bits/basic_string.h:539
 #7 pan::TaskUpload::prepend_headers at task-upload.cc:205
 #8 pan::TaskUpload::use_nntp at task-upload.cc:255
 #9 pan::Task::give_nntp at task.cc:44
 #10 pan::Queue::check_in at queue.cc:753
 #11 pan::Task::check_in at task.cc:59
 #12 pan::TaskUpload::on_nntp_done at task-upload.cc:371
 #13 pan::NNTP::fire_done_func at nntp.cc:65
 #14 pan::NNTP::on_socket_response at nntp.cc:246

Comment 1 Robin Laing 2014-07-15 00:11:19 UTC
Created attachment 918019 [details]
File: backtrace

Comment 2 Robin Laing 2014-07-15 00:11:20 UTC
Created attachment 918020 [details]
File: cgroup

Comment 3 Robin Laing 2014-07-15 00:11:21 UTC
Created attachment 918021 [details]
File: core_backtrace

Comment 4 Robin Laing 2014-07-15 00:11:22 UTC
Created attachment 918022 [details]
File: dso_list

Comment 5 Robin Laing 2014-07-15 00:11:23 UTC
Created attachment 918023 [details]
File: environ

Comment 6 Robin Laing 2014-07-15 00:11:24 UTC
Created attachment 918024 [details]
File: limits

Comment 7 Robin Laing 2014-07-15 00:11:26 UTC
Created attachment 918025 [details]
File: maps

Comment 8 Robin Laing 2014-07-15 00:11:27 UTC
Created attachment 918026 [details]
File: open_fds

Comment 9 Robin Laing 2014-07-15 00:11:27 UTC
Created attachment 918027 [details]
File: proc_pid_status

Comment 10 Robin Laing 2014-07-15 00:11:28 UTC
Created attachment 918028 [details]
File: var_log_messages

Comment 11 Robin Laing 2014-07-18 04:51:00 UTC
Even after reconfiguring to not use stunnel, Pan would crash while attempting to post multipart articles to usenet.

It would post some articles and then crash.  If I selected 1 binary article, then it would post.  Problem is when you are posting over 100 files one at a time, it is a major headache.

Binary file size was 15M per rar file.

I was limiting the upload to 4 threads and it may be threads causing the issue.  When posting a single article, there was only one thread.  Using a different program, it worked as expected with no issues.

Comment 12 Fedora End Of Life 2015-01-09 21:27:20 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-18 11:46:36 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.